Bug 998214 - Review Request: gtk-smooth-engine - The Smooth engine for GTK+-2.0
Review Request: gtk-smooth-engine - The Smooth engine for GTK+-2.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998219
  Show dependency treegraph
 
Reported: 2013-08-18 06:19 EDT by Wolfgang Ulbrich
Modified: 2013-08-28 17:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: gtk-smooth-engine-2.14.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 17:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2013-08-18 06:19:29 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/gtk-smooth-engine.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/gtk-smooth-engine-2.14.3-2.fc20.src.rpm
Description: The Smooth engine for GTK+-2.0
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2013-08-18 06:26:09 EDT
I noticed upstream about incorrect-fsf-address.
https://sourceforge.net/p/smooth-engine/bugs/16/
Comment 2 Dan Mashal 2013-08-18 15:12:22 EDT
APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/dan/998214-gtk-smooth-engine/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 296960 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gtk-smooth-engine-2.14.3-2.fc19.x86_64.rpm
gtk-smooth-engine.x86_64: E: incorrect-fsf-address /usr/share/doc/gtk-smooth-engine-2.14.3/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gtk-smooth-engine
gtk-smooth-engine.x86_64: E: incorrect-fsf-address /usr/share/doc/gtk-smooth-engine-2.14.3/COPYING
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
gtk-smooth-engine (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    gtk2
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gtk-smooth-engine:
    gtk-smooth-engine
    gtk-smooth-engine(x86-64)
    libsmooth.so()(64bit)



Unversioned so-files
--------------------
gtk-smooth-engine: /usr/lib64/gtk-2.0/2.10.0/engines/libsmooth.so

Source checksums
----------------
http://ftp.de.debian.org/debian/pool/main/g/gtk-smooth-engine/gtk-smooth-engine_2.14.3+deb5.tar.gz :
  CHECKSUM(SHA256) this package     : 50b6f6b7f7cc1bf76ae048f0f09f88e45a643c35ea7607e48f74c5f51b454e2f
  CHECKSUM(SHA256) upstream package : 50b6f6b7f7cc1bf76ae048f0f09f88e45a643c35ea7607e48f74c5f51b454e2f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 998214
Comment 3 Wolfgang Ulbrich 2013-08-18 15:32:58 EDT
New Package SCM Request
=======================
Package Name: gtk-smooth-engine
Short Description: The Smooth engine for GTK+-2.0
Owners: raveit65 vicodan
Branches: f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-08-19 08:35:14 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-08-19 11:03:27 EDT
gtk-smooth-engine-2.14.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtk-smooth-engine-2.14.3-2.fc18
Comment 6 Fedora Update System 2013-08-19 11:03:38 EDT
gtk-smooth-engine-2.14.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtk-smooth-engine-2.14.3-2.fc19
Comment 7 Fedora Update System 2013-08-20 20:11:39 EDT
gtk-smooth-engine-2.14.3-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-08-28 17:25:20 EDT
gtk-smooth-engine-2.14.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-08-28 17:31:20 EDT
gtk-smooth-engine-2.14.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.